Page MenuHomePhabricator

AbuseFilter should use a different range size for IPv6 range blocks
Closed, ResolvedPublic1 Estimated Story Points

Description

The only range size supported currently is /16 which makes some sense for IPv4, but not so much for IPv6. By default, $wgBlockCIDRLimit['IPv6'] = 19 so a range of /19 should also be used as the default size for IPv6 blocks.

Event Timeline

Huji created this task.Nov 1 2017, 1:03 AM

Change 387761 had a related patch set uploaded (by Huji; owner: Huji):
[mediawiki/extensions/AbuseFilter@master] AbuseFilter block range should not exceed wgBlockCIDRLimit

https://gerrit.wikimedia.org/r/387761

Huji changed the point value for this task from 3 to 1.Nov 1 2017, 1:57 AM
Huji moved this task from Ready to Code Review on the Anti-Harassment (AHT Sprint 8) board.
Huji moved this task from Backlog to Internal bugs on the AbuseFilter board.

@Huji — Unless it is an emergency, please do not add tickets directly to Anti-Harassment sprints. Our team holds Sprint planning meetings every-other Wednesday to select the tickets which we will focus on. Feel free to tag any ticket with the Anti-Harassment tag.

Huji added a comment.Nov 2 2017, 12:51 AM

@TBolliger sure, I will keep that in mind.

Change 387761 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] AbuseFilter block range should not exceed $wgBlockCIDRLimit

https://gerrit.wikimedia.org/r/387761

Legoktm closed this task as Resolved.Nov 5 2017, 5:38 AM

Change 390889 had a related patch set uploaded (by Huji; owner: Huji):
[mediawiki/extensions/AbuseFilter@master] Update the blockrange message in AbuseFilter, remove "/16" from it

https://gerrit.wikimedia.org/r/390889

Change 390889 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Update the blockrange message in AbuseFilter, remove "/16" from it

https://gerrit.wikimedia.org/r/390889